gr::gfdm::frame_energy_detector_cc Class Referenceabstract

Detect frames based on energy ramp detection. More...

`#include <frame_energy_detector_cc.h>`

Inheritance diagram for gr::gfdm::frame_energy_detector_cc:
[legend]

## Public Types

typedef boost::shared_ptr< frame_energy_detector_cc > | sptr

## Public Member Functions

virtual float | alpha ()=0
virtual void | set_alpha (float alpha)=0
virtual int | backoff_len ()=0
virtual void | set_backoff_len (int backoff_len)=0

## Static Public Member Functions

static sptr | make (float alpha, int average_len, int frame_len, int backoff_len, const std::string &tag_key)
| Return a shared_ptr to a new instance of gfdm::frame_energy_detector_cc.

## Detailed Description

Detect frames based on energy ramp detection.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<frame_energy_detector_cc> gr::gfdm::frame_energy_detector_cc::sptr

## Member Function Documentation

## alpha()

virtual float gr::gfdm::frame_energy_detector_cc::alpha | ( |  | ) |

pure virtual

Implemented in gr::gfdm::frame_energy_detector_cc_impl.

## backoff_len()

virtual int gr::gfdm::frame_energy_detector_cc::backoff_len | ( |  | ) |

pure virtual

Implemented in gr::gfdm::frame_energy_detector_cc_impl.

## make()

static sptr gr::gfdm::frame_energy_detector_cc::make | ( | float | alpha,
|  | int | average_len,
|  | int | frame_len,
|  | int | backoff_len,
|  | const std::string & | tag_key
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::frame_energy_detector_cc.

To avoid accidental use of raw pointers, gfdm::frame_energy_detector_cc's constructor is in a private implementation class. gfdm::frame_energy_detector_cc::make is the public interface for creating new instances.

## set_alpha()

virtual void gr::gfdm::frame_energy_detector_cc::set_alpha | ( | float | alpha | ) |

pure virtual

Implemented in gr::gfdm::frame_energy_detector_cc_impl.

## set_backoff_len()

virtual void gr::gfdm::frame_energy_detector_cc::set_backoff_len | ( | int | backoff_len | ) |

pure virtual

Implemented in gr::gfdm::frame_energy_detector_cc_impl.

The documentation for this class was generated from the following file:

- frame_energy_detector_cc.h